Bug 1148978 - Evolution automatically collapsing threads when trying to view children
Summary: Evolution automatically collapsing threads when trying to view children
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-02 19:50 UTC by Stephen Gallagher
Modified: 2015-02-21 04:24 UTC (History)
5 users (show)

Fixed In Version: evolution-ews-3.12.11-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-04 07:16:20 UTC
Type: Bug


Attachments (Terms of Use)
Screencast of the behavior (1.55 MB, application/octet-stream)
2014-10-02 19:50 UTC, Stephen Gallagher
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 743959 0 None None None Never

Description Stephen Gallagher 2014-10-02 19:50:21 UTC
Created attachment 943540 [details]
Screencast of the behavior

Description of problem:
Much of the time, when I expand a thread with unread messages in it, then click on one of the unread message titles, Evolution will collapse the thread and show me only the first message in it instead.

Version-Release number of selected component (if applicable):
evolution-3.12.6-1.fc21.x86_64

How reproducible:
Often, but not 100%

Steps to Reproduce:
1. Collapse all the threads in a mailing list (I use ctrl-alt-b for this)
2. Browse down to a thread with unread messages.
3. Expand the thread.
4. Click on an unread message.

Actual results:
The thread collapses and shows me the contents of the first email in the thread. The thread has to be expanded again. Clicking on the unread message works after expanding the thread for the second time.

Expected results:
Evolution should just display the requested email and not collapse the thread.

Additional info:
See attached screencast.

Comment 1 Milan Crha 2014-10-09 10:23:05 UTC
Thanks for a bug report. I tried to reproduce this here, but no luck. I'm still unsure what would cause this. Could you check what returns:
   $ gsettings get org.gnome.evolution.mail thread-expand
please? The default value should be 'true' to expand threads. Could you run evo on a terminal and reproduce the issue, then see whether anything new was shown there, please? I donot have much idea what I'm looking for, unfortunately.

Comment 2 Stephen Gallagher 2014-10-09 11:53:33 UTC
When running evolution from the command-line, the output I get is:

(evolution:3739): GLib-GObject-WARNING **: The property GtkSettings:gtk-button-images is deprecated and shouldn't be used anymore. It will be removed in a future version.

(evolution:3739): GLib-GObject-WARNING **: The property GtkSettings:gtk-menu-images is deprecated and shouldn't be used anymore. It will be removed in a future version.

(evolution:3739): evolution-module-mail-CRITICAL **: e_mail_labels_get_filter_code: assertion 'versus != NULL' failed

(evolution:3739): evolution-module-mail-CRITICAL **: e_mail_labels_get_filter_code: assertion 'versus != NULL' failed

(evolution:3739): evolution-module-mail-CRITICAL **: e_mail_labels_get_filter_code: assertion 'versus != NULL' failed

(evolution:3739): evolution-module-mail-CRITICAL **: e_mail_labels_get_filter_code: assertion 'versus != NULL' failed

(evolution:3739): evolution-module-mail-CRITICAL **: e_mail_labels_get_filter_code: assertion 'versus != NULL' failed

(evolution:3739): evolution-module-mail-CRITICAL **: e_mail_labels_get_filter_code: assertion 'versus != NULL' failed

(evolution:3739): evolution-module-mail-CRITICAL **: e_mail_labels_get_filter_code: assertion 'versus != NULL' failed

(evolution:3739): GLib-GObject-WARNING **: The property GtkCellRendererPixbuf:stock-id is deprecated and shouldn't be used anymore. It will be removed in a future version.

(evolution:3739): GLib-GObject-WARNING **: The property GtkSettings:gtk-toolbar-style is deprecated and shouldn't be used anymore. It will be removed in a future version.
openjdk version "1.8.0_20"
OpenJDK Runtime Environment (build 1.8.0_20-b26)
OpenJDK 64-Bit Server VM (build 25.20-b23, mixed mode)


followed by a lot of:

(evolution:3739): evolution-util-CRITICAL **: eti_rows_deleted: assertion 'row + count <= old_nrows' failed


With the occasional

(evolution:3739): evolution-util-CRITICAL **: eti_rows_inserted: assertion 'row + count <= old_nrows' failed

Comment 3 Stephen Gallagher 2014-10-09 12:10:57 UTC
I forgot to note: yes, that gsettings command returned "true"

Comment 4 Milan Crha 2014-10-10 06:01:05 UTC
This one is new to me:
> (evolution:3739): evolution-module-mail-CRITICAL **:
> e_mail_labels_get_filter_code: assertion 'versus != NULL' failed

Could you give me your complete settings, please? You can get it (the one in GSettings) with these two commands:
   $ dconf dump /org/gnome/evolution-data-server/ >eds.bak
   $ dconf dump /org/gnome/evolution/ >evo.bak

I'm not sure whether it'll be of much help, but I'd like to try at least. The other settings in ~/.config/evolution are mostly account specific, thus not helpful to me.

Comment 5 Stephen Gallagher 2014-10-10 13:14:23 UTC
The eds dconf dump gave nothing at all. The evo dump:

[plugin/autocontacts]
addressbook-source='system-address-book'
gaim-addressbook-source='system-address-book'

[plugin/prefer-plain]
show-suppressed=true
mode='normal'

[shell/window]
width=908
maximized=true
height=480
x=0
y=27

[shell]
folder-bar-width=342
sidebar-visible=true
default-component-id='mail'
buttons-visible=true
attachment-view=0
toolbar-visible=true
statusbar-visible=true

[calendar]
work-day-friday=true
confirm-purge=true
hpane-position=400
work-day-sunday=false
work-day-thursday=true
last-notification-time=1412863883
prefer-new-item=''
primary-calendar='1372676936.2666.26'
publish-template='https://mail.corp.redhat.com/service/pubcal/freebusy.ifb?acct=%u@%d'
work-day-saturday=false
time-divisions=30
work-day-tuesday=true
date-navigator-pane-position=177
week-start-day-name='monday'
work-day-wednesday=true
work-day-monday=true
tag-vpane-position=0.003605769230769231
primary-tasks='system-task-list'

[/]
default-mail-identity='1347903378.2583.0.bos.redhat.com'
version='3.12.6'
default-mail-account='1303156825.3445.21.redhat.com'

[mail]
send-recv-all-on-start=true
composer-spell-languages=['en_US']
junk-empty-on-exit-days=0
trash-empty-on-exit-days=0
paned-size=529
junk-check-incoming=false
junk-lookup-addressbook=false
browser-close-on-reply-policy='ask'
composer-sign-reply-if-signed=false
load-http-images=2
headers=['<?xml version="1.0"?>\n<header name="From" enabled=""/>\n', '<?xml version="1.0"?>\n<header name="Reply-To" enabled=""/>\n', '<?xml version="1.0"?>\n<header name="To" enabled=""/>\n', '<?xml version="1.0"?>\n<header name="Cc" enabled=""/>\n', '<?xml version="1.0"?>\n<header name="Bcc" enabled=""/>\n', '<?xml version="1.0"?>\n<header name="Subject" enabled=""/>\n', '<?xml version="1.0"?>\n<header name="Date" enabled=""/>\n', '<?xml version="1.0"?>\n<header name="Newsgroups" enabled=""/>\n', '<?xml version="1.0"?>\n<header name="Face" enabled=""/>\n', '<?xml version="1.0"?>\n<header name="x-evolution-mailer"/>\n']
composer-ignore-list-reply-to=false
reply-style-name='quoted'
composer-reply-start-bottom=true
junk-check-custom-header=false
forward-style-name='attached'
image-loading-policy='always'
prompt-check-if-default-mailer=false
show-headers=[('From', true), ('Reply-To', true), ('To', true), ('Cc', true), ('Bcc', true), ('Subject', true), ('Date', true), ('Newsgroups', true), ('Face', true), ('x-evolution-mailer', false)]
composer-top-signature=true
composer-group-reply-to-list=true
prompt-on-mark-all-read=false

[mail/send-recv-window]
width=600
maximized=false
height=200

[mail/subscription-window]
width=600
maximized=false
height=400

[mail/browser-window]
width=1069
maximized=false
height=892

[mail/filter-window]
width=360
maximized=false
height=460

[mail/composer-window]
width=1552
maximized=false
height=906

[addressbook]
primary-addressbook='1412186187.2366.6.redhat.com'
completion-show-address=false
vpane-position=295
completion-minimum-query-length=3

Comment 6 Milan Crha 2014-10-15 08:51:31 UTC
Hmm, I tried to reproduce it with your settings, but still no luck here. A Fedora 21 virtual machine. Could you install debuginfo package for evolution, then run evolution from a console like this, please:
   $ gdb evolution --ex r --ex "b mail_regen_list" --ex c --ex bt --ex c \
       --ex bt --ex c --ex bt --ex c --ex bt --ex "d br 1" --ex c --ex q
after which, when the folder is shown, press Ctrl+C once in the terminal you run evolution from, and then reproduce the issue, please? If the evolution freezes, then the gdb might need your input, where only confirming what it wants (like pressing Enter or Y followed by the Enter should be fine). If it'll not print any backtrace, then the collapse happens for some other reason. I can collapse a thread by pressing Shift+Arrow-left, but that's only done on nodes which have children, not on a leaf nodes.

Comment 7 Stephen Gallagher 2014-10-17 13:48:29 UTC
No luck; the only thing that happens when the auto-close occurs is the large number of

(evolution:14916): evolution-util-CRITICAL **: eti_rows_deleted: assertion 'row + count <= old_nrows' failed

messages.

Comment 8 Milan Crha 2015-02-04 07:16:20 UTC
I'm moving this upstream after our real life debugging session and my final ability to reproduce this issue. The problem was that the code disagreed when the message list is searching and when not on two places, which caused the lost of the expand state when a new message arrived to the folder (that was the coincidence which I missed during my testing, the newly arrived message).

The upstream bug is:
https://bugzilla.gnome.org/show_bug.cgi?id=743959

I also built a scratch build for you at:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8815753

Comment 9 Stephen Gallagher 2015-02-04 08:31:16 UTC
Just to confirm, I have tested the scratch build and it appears to have resolved this issue for me.

Comment 10 Fedora Update System 2015-02-09 11:52:09 UTC
evolution-ews-3.12.11-1.fc21,evolution-3.12.11-1.fc21,evolution-data-server-3.12.11-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/evolution-ews-3.12.11-1.fc21,evolution-3.12.11-1.fc21,evolution-data-server-3.12.11-1.fc21

Comment 11 Fedora Update System 2015-02-21 04:24:53 UTC
evolution-ews-3.12.11-1.fc21, evolution-3.12.11-1.fc21, evolution-data-server-3.12.11-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.